   module constant
   use precision
   implicit none
!     FORTPREP CONSTANTS AS SET IN NMC HANDBOOK FROM SMITHSONIAN TABLES.
!     PHYSICAL CONSTANTS ARE GIVEN TO 5 PLACES, MATH CONSTANTS TO 7.
!     90/04/30: G AND RD ARE MADE CONSISTENT WITH NWS USAGE.

      real(D)::REARTH,GRAV,OMEGA,RD,RV,RVRDM1,CP,CVAP,CLIQ,HVAP, &
           HFUS,PSAT,SBC,SOLR,T0C,TTP,JCAL,PI,SQRT2,SQRT3,FV,TR

!               NAME   VALUE         DESCRIPTION                     UNITS
!               ----   -----         -----------                     -----
      parameter(REARTH=6.3712E+6_D)!   RADIUS OF EARTH                 (M)
!     parameter(GRAV  =9.8062E+0_D)!   GRAVITATIONAL ACCELERATION      (M/S2)
      parameter(GRAV  =9.8000E+0_D)!
      parameter(OMEGA =7.2921E-5_D)!   ANGULAR VELOCITY OF EARTH       (1/S)
!     parameter(RD    =2.8704E+2_D)!   GAS CONSTANT OF DRY AIR         (J/KG/K)
      parameter(RD    =2.8705E+2_D)!
      parameter(RV    =4.6150E+2_D)!   GAS CONSTANT OF H2O VAPOR       (J/KG/K)
      parameter(RVRDM1=0.6077338_D)!   0.61 APPROX.                    (J/KG/K)
      parameter(CP    =1.0046E+3_D)!   SPECIFIC HEAT OF AIR @PRESSURE  (J/KG/K)
!      parameter(CV    =7.1760E+2_D)!   SPECIFIC HEAT OF AIR @VOLUME    (J/KG/K)
      parameter(CVAP  =1.8460E+3_D)!   SPECIFIC HEAT OF H2O VAPOR      (J/KG/K)
      parameter(CLIQ  =4.1855E+3_D)!   SPECIFIC HEAT OF LIQUID H2O     (J/KG/K)
      parameter(HVAP  =2.5000E+6_D)!   LATENT HEAT OF H2O CONDENSATION (J/KG)
      parameter(HFUS  =3.3358E+5_D)!   LATENT HEAT OF H2O FUSION       (J/KG)
      parameter(PSAT  =6.1078E+2_D)!   PRESSURE AT H2O TRIPLE POINT    (PA)
      parameter(SBC   =5.6730E-8_D)!   STEFAN-BOLTZMANN CONSTANT       (W/M2/K4)
      parameter(SOLR  =1.3533E+3_D)!   SOLAR CONSTANT                  (W/M2)
      parameter(T0C   =2.7315E+2_D)!   TEMPERATURE AT ZERO CELSIUS     (K)
      parameter(TTP   =2.7316E+2_D)!   TEMPERATURE AT H2O TRIPLE POINT (K)
      parameter(JCAL  =4.1855E+0_D)!   JOULES PER CALORIE              ()
      parameter(PI    =3.1415926535897932_D)
      parameter(SQRT2 =1.41421356237309504878_D)  ! SQUARE ROOT OF 2
      parameter(SQRT3 =1.73205080756887729351_D)  ! SQUARE ROOT OF 3
      parameter(FV=RV/RD-1.0_D)       ! used in virtual temp. equation  ()
      parameter(TR    =2.7E+2_D)     ! reference temperature
   end module constant
